HelpSetEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Class HelpSetEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.help.event.HelpSetEvent

All Implemented Interfaces:
  java.io.Serializable

public class HelpSetEvent
extends java.util.EventObject

Conveys information when a HelpSet is added/removed.

See Also:
  Serialized Form

Field Summary
`static int` | `HELPSET_ADDED` A HelpSet was added
`static int` | `HELPSET_REMOVED` A HelpSet was removed

Constructor Summary
`HelpSetEvent(java.lang.Object source, HelpSet helpset, int action)` Creates a HelpSetEvent.

Method Summary
`int` | `getAction()`
`HelpSet` | `getHelpSet()`
`java.lang.String` | `toString()` Returns textual about the instance.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HELPSET_ADDED

    public static final int HELPSET_ADDED

  A HelpSet was added

  See Also:
    Constant Field Values

### HELPSET_REMOVED

    public static final int HELPSET_REMOVED

  A HelpSet was removed

  See Also:
    Constant Field Values

Constructor Detail

### HelpSetEvent

    public HelpSetEvent(java.lang.Object source,
                        HelpSet helpset,
                        int action)

  Creates a HelpSetEvent.

Parameters:
  `source` - Source of this Event.
  `helpset` - The HelpSet being added/removed.
  `action` - HELPSET_ADDED or HELPSET_REMOVED.
Throws:
  `java.lang.IllegalArgumentException` - if source is null or if action is not a valid action.

Method Detail

### getHelpSet

    public HelpSet getHelpSet()

  Returns:
    The HelpSet.

### getAction

    public int getAction()

  Returns:
    The action

### toString

    public java.lang.String toString()

  Returns textual about the instance.

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD